upstream ippo_django_server {
    server django:8000;
    server django:9000;
}

server {
    listen 80;
    server_name ippo.it _;
    charset utf-8;
    server_name_in_redirect on;
    client_max_body_size 64M;

    location /static/ {
        autoindex on;
        expires 1d;
        alias /opt/ippo/static/;
    }

    location /media/ {
        autoindex on;
        alias /opt/ippo/media/;
    }

    location ^~ /internal {
        internal;
        alias /opt/ippo/protected/;
    }

    location / {
        try_files $uri @proxy_to_app;
    }

    location @proxy_to_app {
         proxy_pass http://ippo_django_server;

        proxy_http_version 1.1;
        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection "upgrade";

        proxy_redirect off;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Host $server_name;
    }
}


